%define name ipod-sharp
%define version 0.6.1
%define release %mkrel 1
%define ipoddevice 0.4.6
%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define monoprefix %_prefix/lib
Summary: Library to control the Ipod database
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://banshee-project.org/files/ipod-sharp/%{name}-%{version}.tar.bz2
#Source0: http://banshee-project.org/files/ipod-sharp/%{name}-%{svn}.tar.bz2
License: LGPL
Group: System/Libraries
Url: http://banshee-project.org/index.php/Ipod-sharp
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: mono-tools
BuildRequires: gtk-sharp2
BuildRequires: libipoddevice-devel >= %ipoddevice
BuildArch: noarch
Requires: libipoddevice >= %ipoddevice
Requires(post): mono-tools
Requires(postun): mono-tools

%description
ipod-sharp is a library that allows manipulation of the iTunesDB used
in Apple iPod devices.  Currently it supports adding/removing songs
and manipulating playlists.

%prep
%setup -q 
#-n %name
#./autogen.sh

%build
./configure --prefix=%_prefix --libdir=%_libdir
#gw parallel build is broken
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std pkgconfigdir=%pkgconfigdir
cat > %buildroot%monoprefix/%name/%name.dll.config << EOF
<configuration>
  <dllmap dll="ipoddevice" target="libipoddevice.so.0">
</configuration>
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_bindir/monodoc --make-index > /dev/null

%postun
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%files
%defattr(-,root,root)
%doc README AUTHORS NEWS
%monoprefix/ipod-sharp/
%monoprefix/monodoc/sources/*
%pkgconfigdir/*
%changelog
* Wed Sep 13 2006 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2007.0
- New version 0.6.1

* Sun Jul 23 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-0.62857.2mdv2007.0
- rebuild for new mono

* Sun Jul 23 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-0.62857.1mdv2007.0
- bump deps
- svn snapshot

* Tue Jul 18 2006 Götz Waschk <waschk@mandriva.org> 0.5.16-2mdv2007.0
- fix postun script

* Tue Jun 06 2006 Götz Waschk <waschk@mandriva.org> 0.5.16-1mdk
- New release 0.5.16

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 0.5.15-1mdk
- New release 0.5.15

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 0.5.12-1mdk
- New release 0.5.12

* Fri Nov 25 2005 Götz Waschk <waschk@mandriva.org> 0.5.11.1-1mdk
- New release 0.5.11.1

* Fri Nov 18 2005 Götz Waschk <waschk@mandriva.org> 0.5.11-1mdk
- build fix
- New release 0.5.11

* Thu Nov 10 2005 Götz Waschk <waschk@mandriva.org> 0.5.10-1mdk
- New release 0.5.10

* Mon Nov  7 2005 Götz Waschk <waschk@mandriva.org> 0.5.9-1mdk
- release version

* Mon Oct 31 2005 Götz Waschk <waschk@mandriva.org> 0.5.9-0.52406.1mdk
- new version

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.5.8-0.52263.3mdk
- add dllmap

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.5.8-0.52263.2mdk
- generate monodoc index

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.5.8-0.52263.1mdk
- initial package
